import { FormConfig } from "/@/components/PageSearch";
import { CAPITAL_STATUS } from "/@/utils/details/tragelog";
import { useTypeOptions } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "创建起始时间",
        endPlaceholder: "创建结束时间"
      }
    },
    // {
    //   field: "orderCode",
    //   placeholder: "销售订单编号",
    //   type: "input"
    // },
    // {
    //   field: "companyNo",
    //   placeholder: "买入方公司",
    //   type: "business-query"
    // },
    {
      field: "customerNo",
      placeholder: "买入方公司",
      type: "business-query"
    },
  ]
};

export default searchFormConfig;
